## disk_initialize

The disk_initialize function initializes the disk drive.

    DSTATUS disk_initialize (
      BYTE Drive           /* Physical drive number */
    );

#### Parameter

Drive
  Specifies the physical drive number to initialize.

#### Return Values

This function returns a disk status as the result. For details of the disk status, refer to the disk_status function.

#### Description

The disk_initialize function initializes a physical drive. When the function succeeded, `STA_NOINIT` flag in the return value is cleard.

This function is called on volume mount process in the FatFs module to manage the media change. Application program should not call this function, or FAT structure on the volume can be collapted. To re-initialize the file system, use f_mount function.

Return